<?php
/*
 * The template for displaying "Page 404"
*/

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'ancora_template_404_theme_setup' ) ) {
	add_action( 'ancora_action_before_init_theme', 'ancora_template_404_theme_setup', 1 );
	function ancora_template_404_theme_setup() {
		ancora_add_template(array(
			'layout' => '404',
			'mode'   => 'internal',
			'title'  => 'Page 404',
			'theme_options' => array(
				'article_style' => 'stretch'
			),
			'w'		 => null,
			'h'		 => null
			));
	}
}

// Template output
if ( !function_exists( 'ancora_template_404_output' ) ) {
	function ancora_template_404_output() {
		?>
		<article class="post_item post_item_404">
			<div class="post_content">
				<div class="box_nonepage left_nonepage">
					<h1 class="page_title"><?php _e( '&nbsp;', 'ancora' ); ?></h1>
				</div>
				<div class="box_nonepage right_nonepage">
					<h2 class="page_subtitle"><?php _e("Couldn't find what you're looking for!", 'ancora'); ?></h2>
					<p class="page_description"><?php echo sprintf( __('Go back, or return to <a href="%s">http://themeforest.net/</a> to choose a new page. 
						Please report any broken links to our team.', 'ancora'), home_url() ); ?></p>
					<div class="page_search"><?php echo do_shortcode('[trx_search style="flat" open="fixed" title="'.__('Go Back Home', 'ancora').'"]'); ?></div>
				</div>
			</div>
		</article>
		<?php
	}
}
?>